#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m,i;
    scanf("%i",&n);
    scanf("%i",&m);
    int a[n],b[n],c[m],d[m];
    for(i=0;i<n;i++)
    {
        scanf("%i",&a[i]);
        scanf("%i",&b[i]);
    }
    for(i=0;i<m;i++)
    {
        scanf("%i",&c[i]);
        scanf("%i",&d[i]);
    }
    printf("0\n0");
}